import * as React from "react";
import PropTypes from "prop-types";
import AppBar from "@mui/material/AppBar";
import Toolbar from "@mui/material/Toolbar";
import Typography from "@mui/material/Typography";
import useScrollTrigger from "@mui/material/useScrollTrigger";
import Slide from "@mui/material/Slide";

import { NavLink } from "./styled";

function HideOnScroll(props) {
  const { children, window } = props;
  const trigger = useScrollTrigger({
    target: window ? window() : undefined,
  });

  return (
    <Slide appear={false} direction="down" in={!trigger}>
      {children}
    </Slide>
  );
}

HideOnScroll.propTypes = {
  children: PropTypes.element.isRequired,
  window: PropTypes.func,
};

export default function Navbar(props) {
  return (
    <HideOnScroll {...props}>
      <AppBar sx={{ background: "#074B6B", px: 5 }}>
        <Toolbar>
          <Typography 
            variant="h6"
            component="div"
            sx={{ flexGrow: 1 }}
          >
            Logo
          </Typography>
          <NavLink href="#" edge="end" >Productos</NavLink>
          <NavLink href="#">Quiénes somos</NavLink>
          <NavLink href="#">Blog</NavLink>
          <NavLink href="#">Clientes</NavLink>
          <NavLink href="#">Contáctanos</NavLink>
        </Toolbar>
      </AppBar>
    </HideOnScroll>
  );
}
